# Create Maps from datasets
import arcpy
import arcpy.mapping as mapping

arcpy.env.snapRaster = "S:\\Projects\\TWDB\\Brackish\\Nacotoch\\GIS\\BK_GIS\\Nac_Final_Datasets.gdb\\snap_ncts"

mxd = mapping.MapDocument("S:\Projects\TWDB\Brackish\Nacotoch\Theis Analysis\Maps\Nacotoch_BaseMap_Python.mxd")
df = mapping.ListDataFrames(mxd)[0]
title = mapping.ListLayoutElements(mxd, "TEXT_ELEMENT", "title")[0]
PPA2_Wells = mapping.ListLayers(mxd, "Nacotoch_Well_Fields_Theis", df)[0]
Main_Contour = mapping.ListLayers(mxd, "Drawdown Contours (ft)", df)[0]
# Change directory to correct pumping rate
WL_Contour_Dir = "S:\Projects\TWDB\Brackish\Nacotoch\Theis Analysis\Pumping_500AF_50Y"
PPA_Names = ["1","1","1","1","1","1","1","1","2","2","2","2","2","2","3","3","3","3","3","4","4","4"]
Field_Names = ["1","2","3","4","5","6","7","8","1","2","3","4","5","6","1","2","3","4","5","1","2","3"]
Years = "50"
Pumping_Rate = "500"

for i in range(0,22):
  title.text = 'Nacotoch PPA ' + PPA_Names[i] +"\n" + 'Theis Analysis:' + "\n" + 'Well Field ' + Field_Names[i] + "\n" +  Pumping_Rate + " AFY for"+ "\n" + Years +" Years"
  Main_Contour.replaceDataSource(WL_Contour_Dir, "SHAPEFILE_WORKSPACE", "PPA"+PPA_Names[i]+"_Sc"+Field_Names[i]+"_contours")
  df.extent = Main_Contour.getSelectedExtent()
  df.scale = 1000000
  PPA2_Wells.definitionQuery = '"PPA_Num"=' + PPA_Names[i] + 'AND' + '"Field_ID" =' + Field_Names[i] 
  mapping.ExportToPNG(mxd, "S:\Projects\TWDB\Brackish\Nacotoch\Theis Analysis\Maps\pngs\\" + "PPA" + PPA_Names[i] + "_Sc"+Field_Names[i]+"_Map_" + Years + "Yrs_" + Pumping_Rate + "AFY", resolution = 400)
  mapping.ExportToPDF(mxd,"S:\Projects\TWDB\Brackish\Nacotoch\Theis Analysis\Maps\pdfs\\" + "PPA" + PPA_Names[i] + "_Sc" +Field_Names[i] + "_Map_" + Years + "Yrs_" + Pumping_Rate + "AFY", layers_attributes= "NONE")
