# Model Runs
source("Code/Theis_Function.R")

# Unverisal parameters for overiding data
# Folders to save too: Pumping_500AF_50Y, Pumping_500AF_50Y, Pumping_500AF_50Y
Pumping_Rate_GPM = 51.66#   Low-100AFY =  10.33 gpm per well;Med-200AFY = 20.67 gpm per well; High-500AFY = 51.66 gpm per well
Years_Of_Pumping = 50 
raster_mask = rgdal::readOGR(dsn = "Maps/Data", layer = "aq_des")
# PPA 1 Runs

PPA1_Sc1 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA1_Sc1", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 100, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA1_Sc1", origin_x = 5900000, origin_y = 19890000, Distance_from_OriginX = 500000, Distance_from_OriginY = 500000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 1.41E-05, T_Overide = 5850.210532)

PPA1_Sc2 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA1_Sc2", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 100, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA1_Sc2",  origin_x = 5900000, origin_y = 19890000, Distance_from_OriginX = 500000, Distance_from_OriginY = 500000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 1.41E-05, T_Overide = 5850.210532)

PPA1_Sc3 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA1_Sc3", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 100, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA1_Sc3", origin_x = 5900000, origin_y = 19890000, Distance_from_OriginX = 500000, Distance_from_OriginY = 500000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 1.41E-05, T_Overide = 5850.210532)

PPA1_Sc4 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA1_Sc4", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 100, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA1_Sc4", origin_x = 5900000, origin_y = 19890000, Distance_from_OriginX = 500000, Distance_from_OriginY = 500000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 1.41E-05, T_Overide = 5850.210532)

PPA1_Sc5 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA1_Sc5", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 100, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA1_Sc5",  origin_x = 5900000, origin_y = 19890000, Distance_from_OriginX = 500000, Distance_from_OriginY = 500000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 1.41E-05, T_Overide = 5850.210532)

PPA1_Sc6 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA1_Sc6", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 100, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA1_Sc6",  origin_x = 5900000, origin_y = 19890000, Distance_from_OriginX = 500000, Distance_from_OriginY = 500000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 1.41E-05, T_Overide = 5850.210532)

PPA1_Sc7 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA1_Sc7", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 100, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA1_Sc7",  origin_x = 5900000, origin_y = 19890000, Distance_from_OriginX = 500000, Distance_from_OriginY = 500000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 1.41E-05, T_Overide = 5850.210532)

PPA1_Sc8 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA1_Sc8", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 100, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA1_Sc8",  origin_x = 5900000, origin_y = 19890000, Distance_from_OriginX = 500000, Distance_from_OriginY = 500000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 1.41E-05, T_Overide = 5850.210532)

# PPA 2 Runs

PPA2_Sc1 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA2_Sc1", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 50, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA2_Sc1", origin_x = 5900000, origin_y = 19900000, Distance_from_OriginX = 500000, Distance_from_OriginY = 750000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 2.70E-05, T_Overide = 11459.57681)

PPA2_Sc2 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA2_Sc2", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 50, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA2_Sc2", origin_x = 5900000, origin_y = 19900000, Distance_from_OriginX = 500000, Distance_from_OriginY = 750000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 2.70E-05, T_Overide = 11459.57681)

PPA2_Sc3 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA2_Sc3", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 50, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA2_Sc3", origin_x = 5900000, origin_y = 19900000, Distance_from_OriginX = 500000, Distance_from_OriginY = 750000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 2.70E-05, T_Overide = 11459.57681)

PPA2_Sc4 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA2_Sc4", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 50, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA2_Sc4", origin_x = 5900000, origin_y = 19900000, Distance_from_OriginX = 500000, Distance_from_OriginY = 750000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 2.70E-05, T_Overide = 11459.57681)

PPA2_Sc5 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA2_Sc5", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 50, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA2_Sc5", origin_x = 5900000, origin_y = 19900000, Distance_from_OriginX = 500000, Distance_from_OriginY = 750000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 2.70E-05, T_Overide = 11459.57681)

PPA2_Sc6 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA2_Sc6", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 50, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA2_Sc6", origin_x = 5900000, origin_y = 19900000, Distance_from_OriginX = 500000, Distance_from_OriginY = 750000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 2.70E-05, T_Overide = 11459.57681)

# PPA 3 Runs

PPA3_Sc1 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA3_Sc1", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 100, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA3_Sc1", origin_x = 6050000, origin_y = 20000000, Distance_from_OriginX = 750000, Distance_from_OriginY = 750000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 3.11E-05, T_Overide = 4588.148889)

PPA3_Sc2 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA3_Sc2", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 100, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA3_Sc2", origin_x = 6050000, origin_y = 20000000, Distance_from_OriginX = 750000, Distance_from_OriginY = 750000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 3.11E-05, T_Overide = 4588.148889)

PPA3_Sc3 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA3_Sc3", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 100, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA3_Sc3", origin_x = 6050000, origin_y = 20000000, Distance_from_OriginX = 750000, Distance_from_OriginY = 750000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 3.11E-05, T_Overide = 4588.148889)

PPA3_Sc4 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA3_Sc4", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 100, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA3_Sc4",origin_x = 6050000, origin_y = 20000000, Distance_from_OriginX = 750000, Distance_from_OriginY = 750000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 3.11E-05, T_Overide = 4588.148889)

PPA3_Sc5 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA3_Sc5", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 100, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA3_Sc5", origin_x = 6050000, origin_y = 20000000, Distance_from_OriginX = 750000, Distance_from_OriginY = 750000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 3.11E-05, T_Overide = 4588.148889)

# PPA 4 Runs

PPA4_Sc1 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA4_Sc1", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 100, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA4_Sc1", origin_x = 6300000, origin_y = 20400000, Distance_from_OriginX = 800000, Distance_from_OriginY = 750000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 3.11E-05, T_Overide = 13935.17142)

PPA4_Sc2 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA4_Sc2", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 100, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA4_Sc2", origin_x = 6300000, origin_y = 20400000, Distance_from_OriginX = 800000, Distance_from_OriginY = 750000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 3.11E-05, T_Overide = 13935.17142)

PPA4_Sc3 <- Theis_Function(Data_or_Location = "Data/Theis_Well_Data.xlsx", Excel_SheetNumber_Name = "PPA4_Sc3", Cell_Side_Length = 1320, Time_Days = (365 * Years_Of_Pumping),Contour_Interval = 100, Output_File_Directory = "Pumping_500AF_50Y",Output_File_Name = "PPA4_Sc3", origin_x = 6300000, origin_y = 20400000, Distance_from_OriginX = 800000, Distance_from_OriginY = 750000, Q_Overide = Pumping_Rate_GPM, mask = raster_mask, S_Overide = 3.11E-05, T_Overide = 13935.17142)

